Summary: Tools for managing Linux kernel packet filtering capabilities.
Name: ipchains
Version: 1.3.9
Release: 17
License: GPL
Obsoletes: ipfwadm ipchains-scripts
Group: System Environment/Base
Source0: ftp://ftp.rustcorp.com/ipchains/ipchains-%{version}.tar.bz2
Source1: ftp://ftp.rustcorp.com/ipchains/ipchains-scripts-1.1.2.tar.gz
Source2: ftp://ftp.rustcorp.com/ipchains/ipchains-HOWTOs-1.0.7.tar.bz2
Source3: ipchains.init
Patch0: ipchains-1.3.9-noroot.patch
Patch1: ipchains-1.3.9-fixman.patch
Buildroot: %{_tmppath}/%{name}-root
Prereq: /sbin/chkconfig /etc/init.d
BuildPrereq: perl
Requires: sh-utils

%description 
Linux IP Firewalling Chains is an update to (and hopefully an
improvement upon) the Linux kernel packet filtering code. Ipchains
allows you to set up firewalls and IP masquerading, etc.

Install ipchains if you need to set up firewalling for your network.

%prep
%setup -q -a 1 -a 2
%patch0 -p1 -b .noroot
%patch1 -p1 -b .fixman

%build
make COPTS="$RPM_OPT_FLAGS"
%{__perl} -pi -e 's/.//g' ipchains-HOWTOs-1.0.7/HOWTO.txt

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/{sbin,%{_mandir}/man{4,8}}

make install SBIN=%{buildroot}/sbin MANDIR=%{buildroot}/%{_mandir}
cp ipchains-scripts-1.1.2/{ipchains-restore,ipchains-save} %{buildroot}/sbin
cp ipchains-scripts-1.1.2/ipfwadm-wrapper %{buildroot}/sbin/ipfwadm
ln -sf ipfwadm %{buildroot}/sbin/ipfwadm-wrapper
cp ipchains-scripts-1.1.2/{ipchains-restore.8,ipchains-save.8,ipfwadm-wrapper.8} %{buildroot}/%{_mandir}/man8

install -d -m 755 %{buildroot}/etc/rc.d/init.d
install -m 755 %{SOURCE3} %{buildroot}/etc/rc.d/init.d/ipchains

strip %{buildroot}/sbin/ipchains

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add ipchains

%preun
if [ $1 = 0 ] ; then
	/sbin/chkconfig --del ipchains
fi

%files
%defattr(-,root,root)
%doc ipchains-HOWTOs-1.0.7/*
%doc COPYING README ipchains-quickref.ps
%config /etc/rc.d/init.d/ipchains
/sbin/*
%{_mandir}/man*/*

%changelog
* Thu Aug 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix sed usage (#16461)

* Tue Aug 15 2000 Trond Eivind Glomsrd <teg@redhat.com>
- fix sed-usage so minor version shows as xx, not xx-yy which
  confuses bash a lot when used in comparisons

* Tue Aug 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- use /bin/sed instead of /usr/bin/cut in the init script (#16252)

* Fri Jul 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- default to starting in runlevels where network is up
- bail if we're not on a 2.2+ kernel

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- don't barf on blank lines in saved-rules file (#10907)
- clean up init script output a bit
- change perl to %{__perl} in build phase
- remove references to "ipchains-scripts" from the description (#9987)

* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com>
- don't prereq, only require initscripts

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix typo in Prereq

* Tue Jun 27 2000 Preston Brown <pbrown@redhat.com>
- move initscript, fix manpage (#11425)

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- fixed non root builds
- use %%{_mandir}

* Wed Feb 16 2000 Cristian Gafton <gafton@redhat.com>
- fix stupid typo in the preun script

* Tue Feb 01 2000 Cristian Gafton <gafton@redhat.com>
- add the initscript from joshua
- remove uselss define version
- add %post and %preun

* Mon Sep 20 1999 Bill Nottingham <notting@redhat.com>
- strip binary

* Mon Aug 23 1999 Jeff Johnson <jbj@redhat.com>
- nuke backspaces in HOWTO.txt (#4249).

* Mon May 31 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.3.9.

* Tue May 25 1999 Michael K. Johnson <johnsonm@redhat.com>
- new ipchains-scripts release 1.1.2
- ipfwadm-wrapper should be called ipfwadm with symlink to old name
  (users can install old ipfwadm as ipfwadm.real if they wish)

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- obsolete phantom ipchains-scripts package that's been floating around...

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Tue Nov 17 1998 Preston Brown <pbrown@redhat.com>
- initial cut.
